%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%    TESTING APPROXIMATE SOLUTIONS TO THE CME        %%%%%%%%%%%%
%%%%%%%%%%%     COMPUTE RHS OF LYAPUNOV EQUATION IN LNA        %%%%%%%%%%%%
%%%%%%%%%%%          Authors: Jenkinson/Goutsias               %%%%%%%%%%%%
%%%%%%%%%%%           Last Modified: 02/24/2013                %%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%

function cPrime = rhsLNA(t,c_11,t_macro,mu_macro,gamma2,gamma3,k1,k2,k3,k4)

%
% Find the mean value at the present time
%

mu_t = interp1(t_macro,mu_macro,t);


%
% Find covariance RHS 
%

cPrime = k1*gamma2*(mu_t^2) + k2*(mu_t^3) + k3*mu_t + k4*gamma3+...
            2*c_11*(2*k1*gamma2*mu_t - 3*k2*(mu_t^2) - k3);